Upstream information

CVE-2017-6852 at MITRE

Description

Heap-based buffer overflow in the jpc_dec_decodepkt function in jpc_t2dec.c in JasPer 2.0.10 allows remote attackers to have unspecified impact via a crafted image.

SUSE information

Overall state of this security issue: Pending

This issue is currently rated as having low severity.

CVSS v2 Scores
  National Vulnerability Database SUSE
Base Score 6.8 6.8
Vector AV:N/AC:M/Au:N/C:P/I:P/A:P AV:N/AC:M/Au:N/C:P/I:P/A:P
Access Vector Network Network
Access Complexity Medium Medium
Authentication None None
Confidentiality Impact Partial Partial
Integrity Impact Partial Partial
Availability Impact Partial Partial
CVSS v3 Scores
  National Vulnerability Database SUSE
Base Score 7.8 5.6
Vector AV:L/AC:L/PR:N/UI:R/S:U/C:H/I:H/A:H AV:N/AC:H/PR:N/UI:N/S:U/C:L/I:L/A:L
Access Vector Local Network
Access Complexity Low High
Privileges Required None None
User Interaction Required None
Scope Unchanged Unchanged
Confidentiality Impact High Low
Integrity Impact High Low
Availability Impact High Low
SUSE Bugzilla entry: 1021871 [NEW]

No SUSE Security Announcements cross referenced.


List of planned updates

The following information is the current evaluation information for this security issue. It might neither be accurate nor complete, Use at own risk.
Product(s) Source package
  • SUSE Linux Enterprise Desktop 12 SP2
  • SUSE Linux Enterprise SDK 11 SP4
  • SUSE Linux Enterprise SDK 12 SP2
  • SUSE Linux Enterprise Server 11 SP4
  • SUSE Linux Enterprise Server 12 SP2
jasper


Status of this issue by product and package

Product(s) Source package State
SUSE Linux Enterprise Desktop 12 SP1 jasper Unsupported
SUSE Linux Enterprise Desktop 12 SP2 jasper Affected
SUSE Linux Enterprise SDK 11 SP4 jasper Affected
SUSE Linux Enterprise SDK 12 SP1 jasper Unsupported
SUSE Linux Enterprise SDK 12 SP2 jasper Affected
SUSE Linux Enterprise Server 11 SP4 jasper Affected
SUSE Linux Enterprise Server 12 SP1 jasper Unsupported
SUSE Linux Enterprise Server 12 SP2 jasper Affected